from markupsafe import Markup
#from jinja2 import Markup

def img(self, name):
    
    attrs = dict(IMG_INVENTORY[name])
    for attr, value in attrs.items():
        try:
            attrs[attr] = self.i18n(**value)
        except TypeError:
            pass

    attrs['src'] = attrs.pop('url')
    attrs = ' '.join([ f'{a}="{v}"' for a, v in attrs.items() ])

    return Markup(f'<img {attrs} />')


IMG_INVENTORY = {
    'info': {
        'url': "/nav1/grafik/all/info-button.gif",
        'alt': "i",
        'title': {
            "de": "weitere Informationen",
            "en": "further information",
        }
    },
    'zurueck': {
        'url': "/nav1/grafik/all/zurueck-button.gif",
        'alt': { "de": "zur&uuml;ck", 'en': "back" },
        'title': { "de": "eine Seite zur&uuml;ck", 'en': "back" },
    },
    'top': {
        'url': "/nav1/grafik/all/top-button.gif",
        'alt': { "de": "hoch", "en": "top of page" },
        'title': { "de": "zum Seitenanfang", "en": "top of page" }
    },
    'uhr': {
        'url': "/nav1/grafik/all/uhr-button.gif",
        'alt': { "de": "Uhr", "en": "watch" },
        'title': "Bearbeitungsdatum",
    },
    'achtung': {
        'url': "/nav1/grafik/all/achtung-button.gif",
        'alt': { "de": "!", "en": "important note" },
        'title': { "de": "wichtiger Hinweis", "en": "important note" },
    },
    'neu': {
        'url': {
            "de": "/nav1/grafik/all/neu-button.gif",
            "en": "/nav1/grafik/all/new-button.gif",
        },
        'alt': { "de": "Neu", "en": "new" },
        'title': { "de": "neue Inhalte", "en": "new contents" },
    },
    'marker': {
        'url': "/nav1/grafik/all/button-marker-15x15.gif",
        'alt': { "de": "Hinweis", "en": "marker" },
        'title': { "de": "siehe", "en": "listing" },
    },
    'marker_kl': {
        'url': "/nav1/grafik/all/button-marker-13x13.gif",
        'alt': { "de": "Hinweis", "en": "marker" },
        'title': { "de": "siehe", "en": "listing" },
    },
    'frage': {
        'url': "/nav1/grafik/all/frage-button.gif",
        'alt': "?",
        'title': { "de": "Hilfe", "en": "help" },
    },
    'fenster': {
        'url': "/nav1/grafik/all/neuesfenster2.gif",
        'alt': { "de": "in neuem Fenster", "en": "in a new window" },
        'title': "in neuem Fenster",
    },
    'extern': {
        'url': "/nav1/grafik/all/extern.png",
        'alt': { "de": "externer Verweis", "en": "external link" },
        'title': { "de": "externer Verweis", "en": "external link" },
    },
    'db_rot_i': {
        'url': "/nav1/grafik/all/info-button.gif",
        'alt': "i",
        'title': {
            "de": "eingeschr&auml;nkter Nutzerkreis, Information",
            "en": "limited access, information",
        }
    },
    'db_gruen_i': {
        'url': "/nav1/grafik/all/info-button-gruen.gif",
        'alt': "i",
        'title': {
            "de": "frei verf&uuml;gbar, Information",
            "en": "free access, information",
        }
    },
    'db_rot': {
        'url': "/nav1/grafik/all/rot-button.gif",
        'alt': {
            "de": "roter Knopf",
            "en": "red button",
        },
        'title': {
            "de": "eingeschr&auml;nkter Nutzerkreis",
            "en": "limited access",
        },
    },
    'db_gruen': {
        'url': "/nav1/grafik/all/gruen-button.gif",
        'alt': {
            "de": "gruener Knopf",
            "en": "green button",
        },
        'title': {
            "de": "frei verf&uuml;gbar",
            "en": "free access",
        },
    },
    'fahne_e': {
        'url': "/nav1/grafik/all/uk.gif",
        'alt': {
            "de": "englisch",
            "en": "english",
        },
        'title': {
            "de": "englische Version",
            "en": "english version",
        },
    },
    'fahne_f': {
        'url': "/nav1/grafik/all/france.gif",
        'alt': {
            "de": "franz&ouml;sisch",
            "en": "french",
        },
        'title': {
            "de": "franz&ouml,sische Version",
            "en": "french version",
        },
    },
    'fahne_d': {
        'url': "/nav1/grafik/all/german.gif",
        'alt': {
            "de": "deutsch",
            "en": "german",
        },
        'title': {
            "de": "deutsche Version",
            "en": "german version",
        },
    },
    'fahne_i': {
        'url': "/nav1/grafik/all/italy.gif",
        'alt': { "de": "italienisch", "en": "italian" },
        'title': {
            "de": "italienische Version",
            "en": "italian version"
        },
    },
    'fahne_s': {
        'url': "/nav1/grafik/all/spanien.gif",
        'alt': { "de": "spanisch", "en": "spanish" },
        'title': { "de": "spanische Version", "en": "spanish version" },
    },
    'marker_link': {
        'url': "/nav1/grafik/all/markierung-button_kl.gif",
        'alt': { "de": "Link", "en": "link" },
        'title': {
            "de": "Hinweis auf Link im Text",
            "en": "reference",
        }
    },
    'weiter': {
        'url': "/nav1/grafik/all/weiter-button.gif",
        'alt': { "de": "vor", "en": "forward" },
        'title': {
            "de": "zur n&auml;chsten Seite",
            "en": "next page"
        }
    },
    'euro': {
        'url': "/nav1/grafik/all/euro.gif",
        'alt': "Euro",
        'title': {
            "de": "Pay-per-Use-Angebot, Information",
            "en": "per-per-use, information"
        },
    },
    'email': {
        'url': "/nav1/grafik/all/email_transp.gif",
        'alt': { "de": "Brief", "en": "letter" },
        'title': { "de": "E-Mail", "en": "mail" },
        'align': "align='bottom'",
    },
    'oldbook': {
        'url': "/nav1/grafik/all/oldbook.gif",
        'alt': { "de": "Handschrift", "en": "manuscript" },
        'title': { "de": "Handschrift", "en": "manuscript" },
        'align': "align='middle'",
    },
}

